com.creamtec.ajaxswing.gui

## Class AjaxSwingGraphicsConfig

- java.lang.Object
- - java.awt.GraphicsConfiguration
  - - com.creamtec.ajaxswing.gui.AjaxSwingGraphicsConfig

-     public class AjaxSwingGraphicsConfig
      extends java.awt.GraphicsConfiguration

  Used to provide simulated graphics environment for GUI applications.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingGraphicsConfig(java.awt.GraphicsDevice graphicsdevice, int i)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `createCompatibleImage(int w, int h)`
    `java.awt.image.BufferedImage` | `createCompatibleImage(int w, int h, int transparency)`
    `java.awt.image.VolatileImage` | `createCompatibleVolatileImage(int width, int height)`
    `java.awt.image.VolatileImage` | `createCompatibleVolatileImage(int width, int height, int transparency)`
    `java.awt.Rectangle` | `getBounds()`
    `java.awt.image.ColorModel` | `getColorModel()` Always return RGB color model
    `java.awt.image.ColorModel` | `getColorModel(int i)`
    `java.awt.geom.AffineTransform` | `getDefaultTransform()`
    `java.awt.GraphicsDevice` | `getDevice()`
    `java.awt.geom.AffineTransform` | `getNormalizingTransform()`

    - ### Methods inherited from class java.awt.GraphicsConfiguration

      `createCompatibleVolatileImage, createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities, isTranslucencyCapable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingGraphicsConfig

          public AjaxSwingGraphicsConfig(java.awt.GraphicsDevice graphicsdevice,
                                 int i)

  - ### Method Detail

    - #### createCompatibleImage

          public java.awt.image.BufferedImage createCompatibleImage(int w,
                                                           int h)

      Overrides:
        `createCompatibleImage` in class `java.awt.GraphicsConfiguration`

    - #### createCompatibleImage

          public java.awt.image.BufferedImage createCompatibleImage(int w,
                                                           int h,
                                                           int transparency)

      Overrides:
        `createCompatibleImage` in class `java.awt.GraphicsConfiguration`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel()

      Always return RGB color model
      Specified by:
        `getColorModel` in class `java.awt.GraphicsConfiguration`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel(int i)

      Specified by:
        `getColorModel` in class `java.awt.GraphicsConfiguration`

    - #### getDefaultTransform

          public java.awt.geom.AffineTransform getDefaultTransform()

      Specified by:
        `getDefaultTransform` in class `java.awt.GraphicsConfiguration`

    - #### getDevice

          public java.awt.GraphicsDevice getDevice()

      Specified by:
        `getDevice` in class `java.awt.GraphicsConfiguration`

    - #### getNormalizingTransform

          public java.awt.geom.AffineTransform getNormalizingTransform()

      Specified by:
        `getNormalizingTransform` in class `java.awt.GraphicsConfiguration`

    - #### getBounds

          public java.awt.Rectangle getBounds()

      Specified by:
        `getBounds` in class `java.awt.GraphicsConfiguration`

    - #### createCompatibleVolatileImage

          public java.awt.image.VolatileImage createCompatibleVolatileImage(int width,
                                                                   int height)

      Overrides:
        `createCompatibleVolatileImage` in class `java.awt.GraphicsConfiguration`

    - #### createCompatibleVolatileImage

          public java.awt.image.VolatileImage createCompatibleVolatileImage(int width,
                                                                   int height,
                                                                   int transparency)

      Overrides:
        `createCompatibleVolatileImage` in class `java.awt.GraphicsConfiguration`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.